Ticket #255 (closed bug: fixed)

Opened 11 years ago

Last modified 10 years ago

FTBFS with gcc-4.5

Reported by: adi Assigned to: arnonym
Priority: minor Milestone:
Component: generic Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description

From the Debian bug report http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=565025

The package fails to build in a test rebuild on at least amd64 with gcc-4.5/g++-4.5, but succeeds to build with gcc-4.4/g++-4.4. For the compiler version used, see: http://lists.debian.org/debian-devel/2010/01/msg00230.html

The full build log can be found at: http://people.debian.org/~lucas/logs/2010/01/08b/libffado_2.0.0-1_lsid64b.buildlog

Specific error is:

src/libavc/general/avc_extended_plug_info.cpp:131:1: error: 'AVC::ExtendedPlugInfoPlugNameSpecificData::ExtendedPlugInfoPlugNameSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:167:1: error: 'AVC::ExtendedPlugInfoPlugNumberOfChannelsSpecificData::ExtendedPlugInfoPlugNumberOfChannelsSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:240:1: error: 'AVC::ExtendedPlugInfoPlugChannelPositionSpecificData::ExtendedPlugInfoPlugChannelPositionSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:298:1: error: 'AVC::ExtendedPlugInfoPlugChannelNameSpecificData::ExtendedPlugInfoPlugChannelNameSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:345:1: error: 'AVC::ExtendedPlugInfoPlugInputSpecificData::ExtendedPlugInfoPlugInputSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:421:1: error: 'AVC::ExtendedPlugInfoPlugOutputSpecificData::ExtendedPlugInfoPlugOutputSpecificData?' names the constructor, not the type src/libavc/general/avc_extended_plug_info.cpp:483:1: error: 'AVC::ExtendedPlugInfoClusterInfoSpecificData::ExtendedPlugInfoClusterInfoSpecificData?' names the constructor, not the type

Attachments

ffado-gcc45.patch (3.5 kB) - added by adi on 04/20/10 07:30:03.

Change History

04/20/10 07:30:03 changed by adi

  • attachment ffado-gcc45.patch added.

04/20/10 07:39:45 changed by adi

  • version changed from FFADO 2.0.0 to FFADO SVN (trunk).

I've attached a patch to this ticket which fixes the gcc-4.5 issue for me. I also tried to compile it with gcc-4.4, that's working, too, so the patch doesn't prevent older gccs from compiling.

This patch might also be forwarded/applied to the 2.0-branch.

HTH

04/27/10 12:57:50 changed by arnonym

  • status changed from new to assigned.
  • owner set to arnonym.

05/03/10 13:02:03 changed by arnonym

  • status changed from assigned to closed.
  • resolution set to fixed.

done in r1824 and r1825...